Get a project monthly budget service item
curl --request GET \
--url https://www.ruddr.io/api/workspace/project-monthly-budget-service-items/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/project-monthly-budget-service-items/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/project-monthly-budget-service-items/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "a3e72d18-5b94-4f6c-b1e7-c0d38f9a25b4",
"fee": 3500,
"description": "Monthly managed services retainer",
"createdAt": "2026-06-04T16:40:12.508Z",
"project": {
"id": "d4f81c36-7b29-4e5a-a2d8-c3e7f09b61a4",
"name": "Infrastructure Modernization",
"client": {
"id": "e9a52d47-1c83-4b6f-b7e3-d0f29a8c74b2",
"name": "Sterling Cooper"
}
},
"invoiceItem": {
"id": "f1c74e28-9b03-4d5a-86e2-a3d7f0c52b19",
"name": "Managed Services"
}
}{
"status": 400,
"message": "Parameter 'id' is not a valid UUID."
}{
"status": 404,
"message": "Object with id 'b8f41c29-3d07-4a5e-96e2-c1f38b7a04d5' not found."
}Project Monthly Budget Service Items
Get a project monthly budget service item
GET
/
project-monthly-budget-service-items
/
{id}
Get a project monthly budget service item
The monthly budget for an additional service invoice item on a project. Only available for billable projects using a monthly budget and the monthly budget mode is “detailed”.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The project monthly budget service item uuid.
Response
200
The unique identifier for the object.
The total amount of the item.
A description of the item being charged.
The timestamp when the object was created.
The project this item belongs to.
Show child attributes
Show child attributes
The invoice item associated with this budget line.
Show child attributes
Show child attributes
⌘I